﻿/*
** MODULE   : STRINGS.XML
** AUTHOR   : Paulo Santos
** CREATION : 2007.AUG.01
**
** DESCRIPTION : Functions for the Date Display gadget.
**
** Change History
** 0.1	2007.AUG.01
**	    Paulo Santos
**	    Initial Version
*/

var lastDate = null; // The last date checked.

function DisplayDate()
{
    // Get the Current Date
    var curDate = new Date();

    // Compare the current date with the last tested
    if (lastDate != curDate)
    {
        // Displays the date
        lblMonth.innerText = eval('M' + curDate.getMonth());
        lblDate.innerText  = curDate.getDate();
        lblDay.innerText   = eval('D' + curDate.getDay());
        lblYear.innerText  = curDate.getFullYear();
        lastDate = curDate;
    }

    // Sets the function to run again in 1 second.
    setTimeout('DisplayDate()', 1000);
}
